Files asterisk/.cvsignore and asterisk1/.cvsignore are identical
Only in asterisk1: .version
Files asterisk/BUGS and asterisk1/BUGS are identical
Files asterisk/CREDITS and asterisk1/CREDITS are identical
diff -r -C3 -rcs asterisk/CVS/Entries asterisk1/CVS/Entries
*** asterisk/CVS/Entries	Fri Oct  3 13:43:29 2003
--- asterisk1/CVS/Entries	Thu Oct  2 18:51:00 2003
***************
*** 4,10 ****
  /ChangeLog/1.29/Wed Oct  1 15:03:30 2003//
  /HARDWARE/1.1.1.1/Wed Feb 12 13:59:13 2003//
  /LICENSE/1.1.1.1/Wed Feb 12 13:59:13 2003//
- /Makefile/1.33/Sat Sep 27 15:52:17 2003//
  /README/1.1.1.1/Wed Feb 12 13:59:13 2003//
  /README.cdr/1.1.1.1/Wed Feb 12 13:59:13 2003//
  /README.festival/1.1.1.1/Wed Feb 12 13:59:13 2003//
--- 4,9 ----
***************
*** 90,92 ****
--- 89,92 ----
  D/res////
  D/sounds////
  D/stdtime////
+ /Makefile/1.33/Thu Oct  2 22:51:00 2003//
Only in asterisk1/CVS: Entries.Log
Files asterisk/CVS/Repository and asterisk1/CVS/Repository are identical
Files asterisk/CVS/Root and asterisk1/CVS/Root are identical
Files asterisk/ChangeLog and asterisk1/ChangeLog are identical
Files asterisk/HARDWARE and asterisk1/HARDWARE are identical
Files asterisk/LICENSE and asterisk1/LICENSE are identical
diff -r -C3 -rcs asterisk/Makefile asterisk1/Makefile
*** asterisk/Makefile	Sat Sep 27 11:52:17 2003
--- asterisk1/Makefile	Fri Oct  3 08:49:26 2003
***************
*** 18,24 ****
  
  OSARCH=$(shell uname -s)
  
! ifeq (${OSARCH},Linux)
  PROC=$(shell uname -m)
  endif
  # Pentium Pro Optimize
--- 18,24 ----
  
  OSARCH=$(shell uname -s)
  
! ifeq (${OSARCH},FreeBSD)
  PROC=$(shell uname -m)
  endif
  # Pentium Pro Optimize
***************
*** 78,108 ****
  # Don't use together with -DBUSYDETECT_TONEONLY
  BUSYDETECT+= #-DBUSYDETECT_COMPARE_TONE_AND_SILENCE
  
! ASTLIBDIR=$(INSTALL_PREFIX)/usr/lib/asterisk
  ASTVARLIBDIR=$(INSTALL_PREFIX)/var/lib/asterisk
! ASTETCDIR=$(INSTALL_PREFIX)/etc/asterisk
  ASTSPOOLDIR=$(INSTALL_PREFIX)/var/spool/asterisk
  ASTLOGDIR=$(INSTALL_PREFIX)/var/log/asterisk
  ASTHEADERDIR=$(INSTALL_PREFIX)/usr/include/asterisk
  ASTCONFPATH=$(ASTETCDIR)/asterisk.conf
! ASTBINDIR=$(INSTALL_PREFIX)/usr/bin
! ASTSBINDIR=$(INSTALL_PREFIX)/usr/sbin
  ASTVARRUNDIR=$(INSTALL_PREFIX)/var/run
  
  
  MODULES_DIR=$(ASTLIBDIR)/modules
  AGI_DIR=$(ASTVARLIBDIR)/agi-bin
  
! INCLUDE=-Iinclude -I../include
  CFLAGS=-pipe  -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations $(DEBUG) $(INCLUDE) -D_REENTRANT -D_GNU_SOURCE #-DMAKE_VALGRIND_HAPPY
  CFLAGS+=$(OPTIMIZE)
  CFLAGS+=$(shell if $(CC) -march=$(PROC) -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-march=$(PROC)"; fi)
  CFLAGS+=$(shell if uname -m | grep -q ppc; then echo "-fsigned-char"; fi)
! ifeq (${OSARCH},OpenBSD)
  CFLAGS+=-pthread
  endif
  
! CFLAGS+=$(shell if [ -f /usr/include/linux/zaptel.h ]; then echo "-DZAPTEL_OPTIMIZATIONS"; fi)
  
  LIBEDIT=editline/libedit.a
  
--- 78,109 ----
  # Don't use together with -DBUSYDETECT_TONEONLY
  BUSYDETECT+= #-DBUSYDETECT_COMPARE_TONE_AND_SILENCE
  
! ASTLIBDIR=$(INSTALL_PREFIX)/usr/local/lib/asterisk
  ASTVARLIBDIR=$(INSTALL_PREFIX)/var/lib/asterisk
! ASTETCDIR=$(INSTALL_PREFIX)/usr/local/etc/asterisk
  ASTSPOOLDIR=$(INSTALL_PREFIX)/var/spool/asterisk
  ASTLOGDIR=$(INSTALL_PREFIX)/var/log/asterisk
  ASTHEADERDIR=$(INSTALL_PREFIX)/usr/include/asterisk
  ASTCONFPATH=$(ASTETCDIR)/asterisk.conf
! ASTBINDIR=$(INSTALL_PREFIX)/usr/local/bin
! ASTSBINDIR=$(INSTALL_PREFIX)/usr/local/sbin
  ASTVARRUNDIR=$(INSTALL_PREFIX)/var/run
  
  
  MODULES_DIR=$(ASTLIBDIR)/modules
  AGI_DIR=$(ASTVARLIBDIR)/agi-bin
  
! INCLUDE=-Iinclude -I../include -I/usr/include -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/atk-1.0
! INCLUDE+=-I/usr/X11R6/include -I/usr/X11R6/include/gtk-2.0 -I/usr/X11R6/include/pango-1.0
  CFLAGS=-pipe  -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations $(DEBUG) $(INCLUDE) -D_REENTRANT -D_GNU_SOURCE #-DMAKE_VALGRIND_HAPPY
  CFLAGS+=$(OPTIMIZE)
  CFLAGS+=$(shell if $(CC) -march=$(PROC) -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-march=$(PROC)"; fi)
  CFLAGS+=$(shell if uname -m | grep -q ppc; then echo "-fsigned-char"; fi)
! ifeq (${OSARCH},FreeBSDBSD)
  CFLAGS+=-pthread
  endif
  
! CFLAGS+=$(shell if [ -f /usr/local/include/zaptel.h ]; then echo "-DZAPTEL_OPTIMIZATIONS"; fi)
  
  LIBEDIT=editline/libedit.a
  
***************
*** 131,137 ****
  ifeq (${OSARCH},Linux)
  LIBS=-ldl
  endif
! LIBS+=-lpthread -lncurses -lm -lresolv  #-lnjamd
  OBJS=io.o sched.o logger.o frame.o loader.o config.o channel.o \
  	translate.o file.o say.o pbx.o cli.o md5.o term.o \
  	ulaw.o alaw.o callerid.o fskmodem.o image.o app.o \
--- 132,138 ----
  ifeq (${OSARCH},Linux)
  LIBS=-ldl
  endif
! LIBS+=-pthread -lncurses -lm #-lresolv  #-lnjamd
  OBJS=io.o sched.o logger.o frame.o loader.o config.o channel.o \
  	translate.o file.o say.o pbx.o cli.o md5.o term.o \
  	ulaw.o alaw.o callerid.o fskmodem.o image.o app.o \
Only in asterisk1: Makefile.orig
Only in asterisk1: Makefile.rej
Only in asterisk1: Makefile.rej.orig
Files asterisk/README and asterisk1/README are identical
Files asterisk/README.cdr and asterisk1/README.cdr are identical
Files asterisk/README.festival and asterisk1/README.festival are identical
Files asterisk/README.iax and asterisk1/README.iax are identical
Files asterisk/README.mysql and asterisk1/README.mysql are identical
Files asterisk/README.variables and asterisk1/README.variables are identical
Files asterisk/SECURITY and asterisk1/SECURITY are identical
Files asterisk/acl.c and asterisk1/acl.c are identical
Files asterisk/addmailbox and asterisk1/addmailbox are identical
Files asterisk/agi/.cvsignore and asterisk1/agi/.cvsignore are identical
Files asterisk/agi/CVS/Entries and asterisk1/agi/CVS/Entries are identical
Files asterisk/agi/CVS/Repository and asterisk1/agi/CVS/Repository are identical
Files asterisk/agi/CVS/Root and asterisk1/agi/CVS/Root are identical
Files asterisk/agi/DialAnMp3.agi and asterisk1/agi/DialAnMp3.agi are identical
Files asterisk/agi/Makefile and asterisk1/agi/Makefile are identical
Files asterisk/agi/agi-test.agi and asterisk1/agi/agi-test.agi are identical
Only in asterisk1/agi: eagi-sphinx-test
Files asterisk/agi/eagi-sphinx-test.c and asterisk1/agi/eagi-sphinx-test.c are identical
Only in asterisk1/agi: eagi-test
Files asterisk/agi/eagi-test.c and asterisk1/agi/eagi-test.c are identical
Files asterisk/agi/numeralize and asterisk1/agi/numeralize are identical
Files asterisk/alaw.c and asterisk1/alaw.c are identical
Files asterisk/app.c and asterisk1/app.c are identical
Files asterisk/apps/.cvsignore and asterisk1/apps/.cvsignore are identical
Files asterisk/apps/CVS/Entries and asterisk1/apps/CVS/Entries are identical
Files asterisk/apps/CVS/Repository and asterisk1/apps/CVS/Repository are identical
Files asterisk/apps/CVS/Root and asterisk1/apps/CVS/Root are identical
diff -r -C3 -rcs asterisk/apps/Makefile asterisk1/apps/Makefile
*** asterisk/apps/Makefile	Tue Sep 30 19:03:57 2003
--- asterisk1/apps/Makefile	Fri Oct  3 12:25:22 2003
***************
*** 15,21 ****
  
  
  #APPS=app_dial.so app_playback.so app_directory.so app_intercom.so app_mp3.so 
! APPS=app_dial.so app_playback.so app_voicemail.so app_directory.so app_intercom.so app_mp3.so \
       app_system.so app_echo.so app_record.so app_image.so app_url.so app_disa.so \
       app_agi.so app_qcall.so app_adsiprog.so app_getcpeid.so app_milliwatt.so \
       app_zapateller.so app_datetime.so app_setcallerid.so app_festival.so \
--- 15,21 ----
  
  
  #APPS=app_dial.so app_playback.so app_directory.so app_intercom.so app_mp3.so 
! APPS=app_dial.so app_playback.so app_voicemail.so app_directory.so app_mp3.so \
       app_system.so app_echo.so app_record.so app_image.so app_url.so app_disa.so \
       app_agi.so app_qcall.so app_adsiprog.so app_getcpeid.so app_milliwatt.so \
       app_zapateller.so app_datetime.so app_setcallerid.so app_festival.so \
***************
*** 26,36 ****
       app_enumlookup.so app_voicemail2.so app_transfer.so app_setcidnum.so app_cdr.so \
       app_hasnewvoicemail.so app_sayunixtime.so
  
  #APPS+=app_sql_postgres.so
  #APPS+=app_sql_odbc.so
  
! APPS+=$(shell if [ -f /usr/include/linux/zaptel.h ]; then echo "app_zapras.so app_meetme.so app_flash.so app_zapbarge.so" ; fi)
! #APPS+=$(shell if [ -f /usr/include/zap.h ]; then echo "app_rpt.so" ; fi)
  
  CFLAGS+=-fPIC
  
--- 26,39 ----
       app_enumlookup.so app_voicemail2.so app_transfer.so app_setcidnum.so app_cdr.so \
       app_hasnewvoicemail.so app_sayunixtime.so
  
+ ifneq ($(OSARCH),FreeBSD)
+ APPS+=app_intercom.so
+ endif
  #APPS+=app_sql_postgres.so
  #APPS+=app_sql_odbc.so
  
! #APPS+=$(shell if [ -f /usr/include/linux/zaptel.h ]; then echo "app_zapras.so app_meetme.so app_flash.so app_zapbarge.so" ; fi)
! APPS+=$(shell if [ -f /usr/include/zap.h ]; then echo "app_rpt.so" ; fi)
  
  CFLAGS+=-fPIC
  
Only in asterisk1/apps: Makefile.orig
Files asterisk/apps/app_adsiprog.c and asterisk1/apps/app_adsiprog.c are identical
Files asterisk/apps/app_agi.c and asterisk1/apps/app_agi.c are identical
Files asterisk/apps/app_authenticate.c and asterisk1/apps/app_authenticate.c are identical
Files asterisk/apps/app_cdr.c and asterisk1/apps/app_cdr.c are identical
Files asterisk/apps/app_chanisavail.c and asterisk1/apps/app_chanisavail.c are identical
Files asterisk/apps/app_datetime.c and asterisk1/apps/app_datetime.c are identical
Files asterisk/apps/app_db.c and asterisk1/apps/app_db.c are identical
Files asterisk/apps/app_dial.c and asterisk1/apps/app_dial.c are identical
Files asterisk/apps/app_directory.c and asterisk1/apps/app_directory.c are identical
Files asterisk/apps/app_disa.c and asterisk1/apps/app_disa.c are identical
Files asterisk/apps/app_echo.c and asterisk1/apps/app_echo.c are identical
Files asterisk/apps/app_enumlookup.c and asterisk1/apps/app_enumlookup.c are identical
Files asterisk/apps/app_festival.c and asterisk1/apps/app_festival.c are identical
Files asterisk/apps/app_flash.c and asterisk1/apps/app_flash.c are identical
Files asterisk/apps/app_getcpeid.c and asterisk1/apps/app_getcpeid.c are identical
Files asterisk/apps/app_hasnewvoicemail.c and asterisk1/apps/app_hasnewvoicemail.c are identical
Files asterisk/apps/app_image.c and asterisk1/apps/app_image.c are identical
diff -r -C3 -rcs asterisk/apps/app_intercom.c asterisk1/apps/app_intercom.c
*** asterisk/apps/app_intercom.c	Wed Aug 13 11:25:16 2003
--- asterisk1/apps/app_intercom.c	Thu Oct  2 20:39:08 2003
***************
*** 29,35 ****
  #ifdef __linux__
  #include <linux/soundcard.h>
  #else
! #include <soundcard.h>
  #endif
  #include <netinet/in.h>
  
--- 29,35 ----
  #ifdef __linux__
  #include <linux/soundcard.h>
  #else
! #include <sys/soundcard.h>
  #endif
  #include <netinet/in.h>
  
Files asterisk/apps/app_lookupblacklist.c and asterisk1/apps/app_lookupblacklist.c are identical
Files asterisk/apps/app_lookupcidname.c and asterisk1/apps/app_lookupcidname.c are identical
Files asterisk/apps/app_macro.c and asterisk1/apps/app_macro.c are identical
Files asterisk/apps/app_meetme.c and asterisk1/apps/app_meetme.c are identical
Files asterisk/apps/app_milliwatt.c and asterisk1/apps/app_milliwatt.c are identical
Files asterisk/apps/app_mp3.c and asterisk1/apps/app_mp3.c are identical
Only in asterisk1/apps: app_mp3.c.rej
Files asterisk/apps/app_parkandannounce.c and asterisk1/apps/app_parkandannounce.c are identical
Files asterisk/apps/app_playback.c and asterisk1/apps/app_playback.c are identical
Files asterisk/apps/app_privacy.c and asterisk1/apps/app_privacy.c are identical
Files asterisk/apps/app_qcall.c and asterisk1/apps/app_qcall.c are identical
Files asterisk/apps/app_queue.c and asterisk1/apps/app_queue.c are identical
Files asterisk/apps/app_record.c and asterisk1/apps/app_record.c are identical
Files asterisk/apps/app_rpt.c and asterisk1/apps/app_rpt.c are identical
Files asterisk/apps/app_sayunixtime.c and asterisk1/apps/app_sayunixtime.c are identical
Files asterisk/apps/app_senddtmf.c and asterisk1/apps/app_senddtmf.c are identical
Files asterisk/apps/app_setcallerid.c and asterisk1/apps/app_setcallerid.c are identical
Files asterisk/apps/app_setcidname.c and asterisk1/apps/app_setcidname.c are identical
Files asterisk/apps/app_setcidnum.c and asterisk1/apps/app_setcidnum.c are identical
Files asterisk/apps/app_skel.c and asterisk1/apps/app_skel.c are identical
Files asterisk/apps/app_softhangup.c and asterisk1/apps/app_softhangup.c are identical
Files asterisk/apps/app_sql_postgres.c and asterisk1/apps/app_sql_postgres.c are identical
Files asterisk/apps/app_striplsd.c and asterisk1/apps/app_striplsd.c are identical
Files asterisk/apps/app_substring.c and asterisk1/apps/app_substring.c are identical
Files asterisk/apps/app_system.c and asterisk1/apps/app_system.c are identical
Files asterisk/apps/app_transfer.c and asterisk1/apps/app_transfer.c are identical
Files asterisk/apps/app_url.c and asterisk1/apps/app_url.c are identical
Files asterisk/apps/app_voicemail.c and asterisk1/apps/app_voicemail.c are identical
Files asterisk/apps/app_voicemail2.c and asterisk1/apps/app_voicemail2.c are identical
Files asterisk/apps/app_waitforring.c and asterisk1/apps/app_waitforring.c are identical
Files asterisk/apps/app_zapateller.c and asterisk1/apps/app_zapateller.c are identical
Files asterisk/apps/app_zapbarge.c and asterisk1/apps/app_zapbarge.c are identical
Files asterisk/apps/app_zapras.c and asterisk1/apps/app_zapras.c are identical
Files asterisk/apps/enter.h and asterisk1/apps/enter.h are identical
Files asterisk/apps/leave.h and asterisk1/apps/leave.h are identical
Files asterisk/ast_expr.y and asterisk1/ast_expr.y are identical
Files asterisk/astconf.h and asterisk1/astconf.h are identical
Files asterisk/asterisk-ng-doxygen and asterisk1/asterisk-ng-doxygen are identical
Files asterisk/asterisk.c and asterisk1/asterisk.c are identical
Files asterisk/asterisk.h and asterisk1/asterisk.h are identical
Files asterisk/astgenkey and asterisk1/astgenkey are identical
Files asterisk/astman/.cvsignore and asterisk1/astman/.cvsignore are identical
Files asterisk/astman/CVS/Entries and asterisk1/astman/CVS/Entries are identical
Files asterisk/astman/CVS/Repository and asterisk1/astman/CVS/Repository are identical
Files asterisk/astman/CVS/Root and asterisk1/astman/CVS/Root are identical
Files asterisk/astman/Makefile and asterisk1/astman/Makefile are identical
Files asterisk/astman/astman.c and asterisk1/astman/astman.c are identical
Files asterisk/astmm.c and asterisk1/astmm.c are identical
Files asterisk/autoservice.c and asterisk1/autoservice.c are identical
Files asterisk/callerid.c and asterisk1/callerid.c are identical
Files asterisk/cdr/.cvsignore and asterisk1/cdr/.cvsignore are identical
Files asterisk/cdr/CVS/Entries and asterisk1/cdr/CVS/Entries are identical
Files asterisk/cdr/CVS/Repository and asterisk1/cdr/CVS/Repository are identical
Files asterisk/cdr/CVS/Root and asterisk1/cdr/CVS/Root are identical
Files asterisk/cdr/Makefile and asterisk1/cdr/Makefile are identical
Files asterisk/cdr/cdr_csv.c and asterisk1/cdr/cdr_csv.c are identical
Files asterisk/cdr/cdr_pgsql.c and asterisk1/cdr/cdr_pgsql.c are identical
Files asterisk/cdr.c and asterisk1/cdr.c are identical
Files asterisk/channel.c and asterisk1/channel.c are identical
Files asterisk/channels/.cvsignore and asterisk1/channels/.cvsignore are identical
Files asterisk/channels/CVS/Entries and asterisk1/channels/CVS/Entries are identical
Files asterisk/channels/CVS/Repository and asterisk1/channels/CVS/Repository are identical
Files asterisk/channels/CVS/Root and asterisk1/channels/CVS/Root are identical
Files asterisk/channels/DialTone.h and asterisk1/channels/DialTone.h are identical
diff -r -C3 -rcs asterisk/channels/Makefile asterisk1/channels/Makefile
*** asterisk/channels/Makefile	Thu Sep 11 15:45:43 2003
--- asterisk1/channels/Makefile	Fri Oct  3 08:37:37 2003
***************
*** 14,20 ****
  OSARCH=$(shell uname -s)
  
  CHANNEL_LIBS=chan_modem.so chan_iax.so chan_sip.so \
! 	     chan_modem_aopen.so chan_oss.so \
               chan_modem_bestdata.so chan_modem_i4l.so \
               chan_agent.so chan_mgcp.so chan_iax2.so \
  	     chan_local.so chan_skinny.so
--- 14,20 ----
  OSARCH=$(shell uname -s)
  
  CHANNEL_LIBS=chan_modem.so chan_iax.so chan_sip.so \
! 	     chan_modem_aopen.so \
               chan_modem_bestdata.so chan_modem_i4l.so \
               chan_agent.so chan_mgcp.so chan_iax2.so \
  	     chan_local.so chan_skinny.so
***************
*** 27,32 ****
--- 27,35 ----
  CHANNEL_LIBS+=$(shell [ -f /usr/include/linux/ixjuser.h ] && echo chan_phone.so)
  CHANNEL_LIBS+=$(shell [ -f h323/libchanh323.a ] && echo chan_h323.so)
  
+ ifneq ($(OSARCH),FreeBSD)
+ CHANNEL_LIBS+=chan_oss.so
+ endif
  CFLAGS+=-Wno-missing-prototypes -Wno-missing-declarations
  CFLAGS+=$(shell [ ! -f /usr/include/linux/if_wanpipe.h ] && echo " -DOLD_SANGOMA_API")
  CHANNEL_LIBS+=$(shell [ -f /usr/include/alsa/asoundlib.h ] && echo "chan_alsa.so")
***************
*** 92,101 ****
  chan_oss.o: chan_oss.c  busy.h ringtone.h
  
  chan_iax2.so: chan_iax2.o iax2-parser.o
! ifeq (${OSARCH},Linux)
  	$(CC) -shared -Xlinker -x -o $@ chan_iax2.o iax2-parser.o
  else
! 	$(CC) -shared -Xlinker -x -o $@ chan_iax2.o iax2-parser.o -lossaudio
  endif
  
  chan_zap.o: $(CHANZAP)
--- 95,104 ----
  chan_oss.o: chan_oss.c  busy.h ringtone.h
  
  chan_iax2.so: chan_iax2.o iax2-parser.o
! ifeq (${OSARCH},FreeBSD)
  	$(CC) -shared -Xlinker -x -o $@ chan_iax2.o iax2-parser.o
  else
! 	$(CC) -shared -Xlinker -x -o $@ chan_iax2.o iax2-parser.o
  endif
  
  chan_zap.o: $(CHANZAP)
Only in asterisk1/channels: Makefile.orig
Files asterisk/channels/adtranvofr.h and asterisk1/channels/adtranvofr.h are identical
Files asterisk/channels/alaw.h and asterisk1/channels/alaw.h are identical
Files asterisk/channels/answer.h and asterisk1/channels/answer.h are identical
Files asterisk/channels/chan_agent.c and asterisk1/channels/chan_agent.c are identical
Files asterisk/channels/chan_alsa.c and asterisk1/channels/chan_alsa.c are identical
Files asterisk/channels/chan_h323.c and asterisk1/channels/chan_h323.c are identical
Files asterisk/channels/chan_iax.c and asterisk1/channels/chan_iax.c are identical
Files asterisk/channels/chan_iax2.c and asterisk1/channels/chan_iax2.c are identical
Files asterisk/channels/chan_local.c and asterisk1/channels/chan_local.c are identical
Files asterisk/channels/chan_mgcp.c and asterisk1/channels/chan_mgcp.c are identical
Files asterisk/channels/chan_modem.c and asterisk1/channels/chan_modem.c are identical
Files asterisk/channels/chan_modem_aopen.c and asterisk1/channels/chan_modem_aopen.c are identical
Files asterisk/channels/chan_modem_bestdata.c and asterisk1/channels/chan_modem_bestdata.c are identical
Files asterisk/channels/chan_modem_i4l.c and asterisk1/channels/chan_modem_i4l.c are identical
Files asterisk/channels/chan_nbs.c and asterisk1/channels/chan_nbs.c are identical
diff -r -C3 -rcs asterisk/channels/chan_oss.c asterisk1/channels/chan_oss.c
*** asterisk/channels/chan_oss.c	Wed Aug 13 11:25:16 2003
--- asterisk1/channels/chan_oss.c	Thu Oct  2 20:38:11 2003
***************
*** 36,42 ****
  #ifdef __linux
  #include <linux/soundcard.h>
  #else
! #include <soundcard.h>
  #endif
  #include "busy.h"
  #include "ringtone.h"
--- 36,42 ----
  #ifdef __linux
  #include <linux/soundcard.h>
  #else
! #include <sys/soundcard.h>
  #endif
  #include "busy.h"
  #include "ringtone.h"
Files asterisk/channels/chan_phone.c and asterisk1/channels/chan_phone.c are identical
Files asterisk/channels/chan_sip.c and asterisk1/channels/chan_sip.c are identical
Files asterisk/channels/chan_skinny.c and asterisk1/channels/chan_skinny.c are identical
Files asterisk/channels/chan_vofr.c and asterisk1/channels/chan_vofr.c are identical
Files asterisk/channels/chan_vpb.c and asterisk1/channels/chan_vpb.c are identical
Files asterisk/channels/chan_zap.c and asterisk1/channels/chan_zap.c are identical
Files asterisk/channels/chan_zap_old.c and asterisk1/channels/chan_zap_old.c are identical
Files asterisk/channels/gentone-ulaw.c and asterisk1/channels/gentone-ulaw.c are identical
Files asterisk/channels/gentone.c and asterisk1/channels/gentone.c are identical
Files asterisk/channels/h323/CVS/Entries and asterisk1/channels/h323/CVS/Entries are identical
Files asterisk/channels/h323/CVS/Repository and asterisk1/channels/h323/CVS/Repository are identical
Files asterisk/channels/h323/CVS/Root and asterisk1/channels/h323/CVS/Root are identical
Files asterisk/channels/h323/ChangeLog and asterisk1/channels/h323/ChangeLog are identical
Files asterisk/channels/h323/INSTALL.openh323 and asterisk1/channels/h323/INSTALL.openh323 are identical
Files asterisk/channels/h323/Makefile and asterisk1/channels/h323/Makefile are identical
Files asterisk/channels/h323/README and asterisk1/channels/h323/README are identical
Files asterisk/channels/h323/TODO and asterisk1/channels/h323/TODO are identical
Files asterisk/channels/h323/ast_h323.cpp and asterisk1/channels/h323/ast_h323.cpp are identical
Files asterisk/channels/h323/ast_h323.h and asterisk1/channels/h323/ast_h323.h are identical
Files asterisk/channels/h323/chan_h323.h and asterisk1/channels/h323/chan_h323.h are identical
Files asterisk/channels/h323/h323.conf.sample and asterisk1/channels/h323/h323.conf.sample are identical
Files asterisk/channels/iax.h and asterisk1/channels/iax.h are identical
Files asterisk/channels/iax2-parser.c and asterisk1/channels/iax2-parser.c are identical
Files asterisk/channels/iax2-parser.h and asterisk1/channels/iax2-parser.h are identical
Files asterisk/channels/iax2.h and asterisk1/channels/iax2.h are identical
Files asterisk/channels/ixjuser.h and asterisk1/channels/ixjuser.h are identical
Files asterisk/channels/ring10.h and asterisk1/channels/ring10.h are identical
Files asterisk/chanvars.c and asterisk1/chanvars.c are identical
Files asterisk/cli.c and asterisk1/cli.c are identical
Files asterisk/codecs/.cvsignore and asterisk1/codecs/.cvsignore are identical
diff -r -C3 -rcs asterisk/codecs/CVS/Entries asterisk1/codecs/CVS/Entries
*** asterisk/codecs/CVS/Entries	Fri Oct  3 13:43:29 2003
--- asterisk1/codecs/CVS/Entries	Thu Oct  2 18:50:57 2003
***************
*** 2,8 ****
  /Makefile/1.5/Tue May  6 00:00:20 2003//
  /adpcm_slin_ex.h/1.1.1.1/Wed Feb 12 13:59:14 2003//
  /codec_a_mu.c/1.2/Wed Aug 13 15:25:16 2003//
! /codec_adpcm.c/1.3/Thu Oct  2 23:17:31 2003//
  /codec_alaw.c/1.2/Wed Aug 13 15:25:16 2003//
  /codec_g723_1.c/1.5/Sat Sep 27 02:45:37 2003//
  /codec_gsm.c/1.2/Wed Aug 13 15:25:16 2003//
--- 2,8 ----
  /Makefile/1.5/Tue May  6 00:00:20 2003//
  /adpcm_slin_ex.h/1.1.1.1/Wed Feb 12 13:59:14 2003//
  /codec_a_mu.c/1.2/Wed Aug 13 15:25:16 2003//
! /codec_adpcm.c/1.2/Wed Aug 13 15:25:16 2003//
  /codec_alaw.c/1.2/Wed Aug 13 15:25:16 2003//
  /codec_g723_1.c/1.5/Sat Sep 27 02:45:37 2003//
  /codec_gsm.c/1.2/Wed Aug 13 15:25:16 2003//
Files asterisk/codecs/CVS/Repository and asterisk1/codecs/CVS/Repository are identical
Files asterisk/codecs/CVS/Root and asterisk1/codecs/CVS/Root are identical
diff -r -C3 -rcs asterisk/codecs/Makefile asterisk1/codecs/Makefile
*** asterisk/codecs/Makefile	Mon May  5 20:00:20 2003
--- asterisk1/codecs/Makefile	Fri Oct  3 08:37:37 2003
***************
*** 19,25 ****
--- 19,27 ----
  #MODG723=codec_g723_1.so codec_g723_1b.so
  MODG723=$(shell [ -f g723.1/coder.c ] && echo "codec_g723_1.so")
  MODG723+=$(shell [ -f g723.1b/coder2.c ] && echo "codec_g723_1b.so")
+ ifneq (${OSARCH},FreeBSD)
  MODSPEEX=$(shell [ -f /usr/include/speex.h ] || [ -f /usr/local/include/speex.h ] && echo "codec_speex.so")
+ endif
  MODILBC=$(shell [ -f ilbc/iLBC_decode.h ] && echo "codec_ilbc.so")
  CFLAGS+=-fPIC
  
***************
*** 30,36 ****
--- 32,42 ----
  LIBGSMT=$(shell if uname -m | grep -q 86; then echo gsm/lib/libgsm.a; fi)
  LIBMP3=mp3/libmp3.a
  LIBLPC10=lpc10/liblpc10.a
+ ifeq (${OSARCH},Linux)
  LIBSPEEX=-lspeex -lm
+ else
+ LIBSPEEX=-lm
+ endif
  LIBILBC=ilbc/libilbc.a
  
  CODECS+=$(MODG723) $(MODSPEEX) $(MODILBC) codec_gsm.so codec_mp3_d.so codec_lpc10.so  \
Files asterisk/codecs/adpcm_slin_ex.h and asterisk1/codecs/adpcm_slin_ex.h are identical
Files asterisk/codecs/codec_a_mu.c and asterisk1/codecs/codec_a_mu.c are identical
diff -r -C3 -rcs asterisk/codecs/codec_adpcm.c asterisk1/codecs/codec_adpcm.c
*** asterisk/codecs/codec_adpcm.c	Thu Oct  2 19:17:31 2003
--- asterisk1/codecs/codec_adpcm.c	Wed Aug 13 11:25:16 2003
***************
*** 27,33 ****
  #include <unistd.h>
  
  #define BUFFER_SIZE   8096	/* size for the translation buffers */
- #define BUF_SHIFT	5
  
  static ast_mutex_t localuser_lock = AST_MUTEX_INITIALIZER;
  static int localusecnt = 0;
--- 27,32 ----
***************
*** 78,125 ****
   *  Sets the index to the step size table for the next encode.
   */
  
! static inline void 
! decode (unsigned char encoded, short *ssindex, short *signal, unsigned char *rkey, unsigned char *next)
  {
    short diff, step;
    step = stpsz[*ssindex];
! 
!   diff = step * nbl2bit[encoded][1] +
! 		(step >> 1) * nbl2bit[encoded][2] +
! 		(step >> 2) * nbl2bit[encoded][3] +
! 		(step >> 3);
!   if (nbl2bit[encoded][2] && (step & 0x1))
! 	diff++;
!   diff *= nbl2bit[encoded][0];
! 
!   if ( *next & 0x1 )
!         *signal -= 8;
!   else if ( *next & 0x2 )
!         *signal += 8;
! 
!   *signal += diff;
! 
!   if (*signal > 2047)
! 	*signal = 2047;
!   else if (*signal < -2047)
! 	*signal = -2047;
! 
!   *next = 0;
!   if( encoded & 0x7 )
!         *rkey = 0;
!   else if ( ++(*rkey) == 24 ) {
! 	*rkey = 0;
! 	if (*signal > 0)
! 		*next = 0x1;
! 	else if (*signal < 0)
! 		*next = 0x2;
!   }
! 
    *ssindex = *ssindex + indsft[(encoded & 7)];
    if (*ssindex < 0)
      *ssindex = 0;
    else if (*ssindex > 48)
      *ssindex = 48;
  }
  
  /*
--- 77,97 ----
   *  Sets the index to the step size table for the next encode.
   */
  
! static inline short
! decode (unsigned char encoded, short *ssindex)
  {
    short diff, step;
    step = stpsz[*ssindex];
!   diff = nbl2bit[encoded][0] * (step * nbl2bit[encoded][1] +
! 				(step >> 1) * nbl2bit[encoded][2] +
! 				(step >> 2) * nbl2bit[encoded][3] +
! 				(step >> 3));
    *ssindex = *ssindex + indsft[(encoded & 7)];
    if (*ssindex < 0)
      *ssindex = 0;
    else if (*ssindex > 48)
      *ssindex = 48;
+   return (diff);
  }
  
  /*
***************
*** 135,141 ****
   */
  
  static inline unsigned char
! adpcm (short csig, short *ssindex, short *signal, unsigned char *rkey, unsigned char *next)
  {
    short diff, step;
    unsigned char encoded;
--- 107,113 ----
   */
  
  static inline unsigned char
! adpcm (short csig, short *ssindex, short *signal)
  {
    short diff, step;
    unsigned char encoded;
***************
*** 170,176 ****
    if (diff >= step)
      encoded |= 1;
      
!   decode (encoded, ssindex, signal, rkey, next);
    return (encoded);
  }
  
--- 142,148 ----
    if (diff >= step)
      encoded |= 1;
      
!   *signal += decode (encoded, ssindex);
    return (encoded);
  }
  
***************
*** 186,193 ****
    unsigned char outbuf[BUFFER_SIZE];  /* Encoded ADPCM, two nibbles to a word */
    short ssindex;
    short signal;
-   unsigned char zero_count;
-   unsigned char next_flag;
    int tail;
  };
  
--- 158,163 ----
***************
*** 275,289 ****
    short signal;
    short ssindex;
    unsigned char *b;
-   unsigned char zero_count;
-   unsigned char next_flag;
  
!   if (f->datalen < BUF_SHIFT) {
!   	ast_log(LOG_WARNING, "Didn't have at least %d bytes of input\n", BUF_SHIFT);
  	return -1;
    }
  
!   if ((f->datalen - BUF_SHIFT) * 4 > sizeof(tmp->outbuf)) {
    	ast_log(LOG_WARNING, "Out of buffer space\n");
  	return -1;
    }
--- 245,257 ----
    short signal;
    short ssindex;
    unsigned char *b;
  
!   if (f->datalen < 3) {
!   	ast_log(LOG_WARNING, "Didn't have at least three bytes of input\n");
  	return -1;
    }
  
!   if ((f->datalen - 3) * 4 > sizeof(tmp->outbuf)) {
    	ast_log(LOG_WARNING, "Out of buffer space\n");
  	return -1;
    }
***************
*** 297,312 ****
      ssindex = 48;
  
    signal = (b[1] << 8) | b[2]; 
! 
!   zero_count = b[3];
!   next_flag = b[4];
! 
!   for (x=BUF_SHIFT;x<f->datalen;x++) {
! 	decode((b[x] >> 4) & 0xf, &ssindex, &signal, &zero_count, &next_flag);
! 	tmp->outbuf[tmp->tail++] = signal << 4;
! 
! 	decode(b[x] & 0x0f, &ssindex, &signal, &zero_count, &next_flag);
! 	tmp->outbuf[tmp->tail++] = signal << 4;
    }
  
    return 0;
--- 265,284 ----
      ssindex = 48;
  
    signal = (b[1] << 8) | b[2]; 
!   
!   for (x=3;x<f->datalen;x++) {
!   	signal += decode(b[x] >> 4, &ssindex);
! 	if (signal > 2047)
! 		signal = 2047;
! 	if (signal < -2048)
! 		signal = -2048;
!     tmp->outbuf[tmp->tail++] = signal << 4;
!   	signal +=  decode(b[x] & 0x0f, &ssindex);
! 	if (signal > 2047)
! 		signal = 2047;
! 	if (signal < -2048)
! 		signal = -2048;
!     tmp->outbuf[tmp->tail++] = signal << 4;
    }
  
    return 0;
***************
*** 400,414 ****
    tmp->outbuf[0] = tmp->ssindex & 0xff;
    tmp->outbuf[1] = (tmp->signal >> 8) & 0xff;
    tmp->outbuf[2] = (tmp->signal & 0xff);
-   tmp->outbuf[3] = tmp->zero_count;
-   tmp->outbuf[4] = tmp->next_flag;
  
    for (i = 0; i < i_max; i+=2)
    {
!     adpcm0 = adpcm (tmp->inbuf[i], &tmp->ssindex, &tmp->signal, &tmp->zero_count, &tmp->next_flag);
!     adpcm1 = adpcm (tmp->inbuf[i+1], &tmp->ssindex, &tmp->signal, &tmp->zero_count, &tmp->next_flag);
! 
!     tmp->outbuf[i/2 + BUF_SHIFT] = (adpcm0 << 4) | adpcm1;
    };
  
  
--- 372,383 ----
    tmp->outbuf[0] = tmp->ssindex & 0xff;
    tmp->outbuf[1] = (tmp->signal >> 8) & 0xff;
    tmp->outbuf[2] = (tmp->signal & 0xff);
  
    for (i = 0; i < i_max; i+=2)
    {
!     adpcm0 = adpcm(tmp->inbuf[i], &tmp->ssindex, &tmp->signal);
!     adpcm1 = adpcm(tmp->inbuf[i+1], &tmp->ssindex, &tmp->signal);
!     tmp->outbuf[i/2 + 3] = (adpcm0 << 4) | adpcm1;
    };
  
  
***************
*** 419,425 ****
    tmp->f.offset = AST_FRIENDLY_OFFSET;
    tmp->f.src = __PRETTY_FUNCTION__;
    tmp->f.data = tmp->outbuf;
!   tmp->f.datalen = i_max / 2 + BUF_SHIFT;
  
    /*
     * If there is a signal left over (there should be no more than
--- 388,394 ----
    tmp->f.offset = AST_FRIENDLY_OFFSET;
    tmp->f.src = __PRETTY_FUNCTION__;
    tmp->f.data = tmp->outbuf;
!   tmp->f.datalen = i_max / 2 + 3;
  
    /*
     * If there is a signal left over (there should be no more than
Files asterisk/codecs/codec_alaw.c and asterisk1/codecs/codec_alaw.c are identical
Files asterisk/codecs/codec_g723_1.c and asterisk1/codecs/codec_g723_1.c are identical
Files asterisk/codecs/codec_gsm.c and asterisk1/codecs/codec_gsm.c are identical
Files asterisk/codecs/codec_ilbc.c and asterisk1/codecs/codec_ilbc.c are identical
Files asterisk/codecs/codec_lpc10.c and asterisk1/codecs/codec_lpc10.c are identical
Files asterisk/codecs/codec_mp3_d.c and asterisk1/codecs/codec_mp3_d.c are identical
Files asterisk/codecs/codec_speex.c and asterisk1/codecs/codec_speex.c are identical
Files asterisk/codecs/codec_ulaw.c and asterisk1/codecs/codec_ulaw.c are identical
Files asterisk/codecs/g723_slin_ex.h and asterisk1/codecs/g723_slin_ex.h are identical
Files asterisk/codecs/gsm/.cvsignore and asterisk1/codecs/gsm/.cvsignore are identical
Files asterisk/codecs/gsm/COPYRIGHT and asterisk1/codecs/gsm/COPYRIGHT are identical
Files asterisk/codecs/gsm/CVS/Entries and asterisk1/codecs/gsm/CVS/Entries are identical
Files asterisk/codecs/gsm/CVS/Repository and asterisk1/codecs/gsm/CVS/Repository are identical
Files asterisk/codecs/gsm/CVS/Root and asterisk1/codecs/gsm/CVS/Root are identical
